# folder Reference Guide

folder: set/list current folder/message

+folder (default: current folder)
  Folder name
-msg
  Message to make current

-all
  List top-level folders or list folders under +folder. (See -recurse, folders.)

-create
  Create folder without asking
-nocreate
  Don't create a new folder

-fast
  Don't summarize folder contents
-nofast (default)
  Summarize each folder

-header (default if -all)
  Print explanatory heading
-noheader (default without -all)
  Don't print heading

-list
  Print folder stack
-nolist (default)
  Don't print folder stack

-pack
  Renumber messages to remove gaps
-nopack (default)
  Don't renumber messages

-verbose
  List steps taken to renumber messages
-noverbose (default)
  Output only error messages

-print (default)
  Summarize folder. (Not default during -push, -pop; if used, also allows setting current message.)

-push
  Make +folder current, push current folder on stack; if no +folder, swap current folder and top of stack. Sets -list.
-pop
  Pop folder from top of stack, make it current. Sets -list.

-recurse
  List subfolders
-norecurse (default)
  Don't list subfolders

-total (default if -all)
  Count messages and folders
-nototal (default without -all)
  Un-do -total.